%define	name	OpenIPMI
%define	version	1.3.9
%define	release	5mdk
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}

Summary:	A set of tools to access IPMI controller
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://optusnet.dl.sourceforge.net/sourceforge/openipmi/%{name}-%{version}.tar.gz
Source1:	ipmi_lan.conf
Patch0:		%{name}-%{version}-printerr.patch
License:	GPL
Group:		System/Kernel and hardware
Url:		http://openipmi.sourceforge.net/ 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	popt-devel ncurses-devel
Requires:	%{lib_name} = %{version}-%{release} IPMI

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and control (including remote control), 
and is implemented by many hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
OpenIPMI is full-function IPMI system to access to IPMI information 

%package -n	%{lib_name}
Summary:	Library associated with OpenIPMI.
Group:		System/Libraries
Provides:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name}
This library is mandatory for OpenIPMI.


%package -n	%{lib_name}-devel
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libOpenIPMI-devel = %{version}-%{release}
Provides:	%{lib_name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Static libraries and header files required for compiling OpenIPMI plugins.

%prep
%setup -q
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/
install %SOURCE1  $RPM_BUILD_ROOT/%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %name.info

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/info/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%config(noreplace)%{_sysconfdir}/ipmi_lan.conf

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*

%changelog
* Fri Aug 13 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-5mdk
- Fixing description
* Wed Aug 11 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-4mdk
- Adding ipmi_lan.conf
- Patch0: Printing errors found in config file
- Requires IPMI
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-3mdk
- fixing requires
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-2mdk
- Fixing description
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9
* Thu Jun 17 2004 Erwan Velu <erwan@mandrakesoft.com> 1.3.8-1mdk
- 1.3.8
* Fri May 07 2004 Erwan Velu <erwan.mandrakesoft.com> 1.3.6-1mdk
- Bump to 1.3.6
* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.7-5mdk
- fix buildrequires
- do %%configure in %%build, not %%prep
. fix shlib-with-non-pic-code
- spec cosmetics

* Wed Mar 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.7-4mdk
- Fix Dependancies

* Fri Feb 26 2004 Erwan Velu <erwan.mandrakesoft.com> 1.2.7-3mdk
- Fixing requires

* Tue Feb 24 2004 Erwan Velu <erwan.mandrakesoft.com> 1.2.7-2mdk
- More distlint
- Fixing strange %ldconfig

* Tue Feb 24 2004 Erwan Velu <erwan.mandrakesoft.com> 1.2.7-1mdk
- Initial MDK Release
